org.eclipse.jetty.server

## Class BlockingHttpConnection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.server.AbstractHttpConnection
    - - org.eclipse.jetty.server.BlockingHttpConnection

All Implemented Interfaces:
  Connection

Direct Known Subclasses:
  Ajp13Connection

    public class BlockingHttpConnection
    extends AbstractHttpConnection

Blocking Server HTTP Connection

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`AbstractHttpConnection.Output, AbstractHttpConnection.OutputWriter`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`_connector, _generator, _in, _out, _parser, _printWriter, _request, _requestFields, _response, _responseFields, _server, _uri, _writer`

### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

`_endp`

### Constructor Summary

Constructors
Constructor and Description
`BlockingHttpConnection(Connector connector, EndPoint endpoint, Server server)`
`BlockingHttpConnection(Connector connector, EndPoint endpoint, Server server, Parser parser, Generator generator, Request request)`

### Method Summary

Methods
`Connection` `handle()` Handle the connection.
`protected void` `handleRequest()`

### Methods inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`commitResponse, completeResponse, content, earlyEOF, flushResponse, getAssociatedObject, getConnector, getCurrentConnection, getGenerator, getInputStream, getMaxIdleTime, getOutputStream, getParser, getPrintWriter, getRequest, getRequestFields, getRequests, getResolveNames, getResponse, getResponseFields, getServer, headerComplete, include, included, isConfidential, isEarlyEOF, isExpecting100Continues, isExpecting102Processing, isIdle, isIncluding, isIntegral, isResponseCommitted, isSuspended, messageComplete, newHttpGenerator, newHttpParser, onClose, parsedHeader, reset, setAssociatedObject, setCurrentConnection, startRequest, toString`

### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

`getEndPoint, getTimeStamp, onIdleExpired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BlockingHttpConnection

    public BlockingHttpConnection(Connector connector,
                          EndPoint endpoint,
                          Server server)

#### BlockingHttpConnection

    public BlockingHttpConnection(Connector connector,
                          EndPoint endpoint,
                          Server server,
                          Parser parser,
                          Generator generator,
                          Request request)

### Method Detail

#### handleRequest

    protected void handleRequest()
                          throws IOException

Overrides:
  `handleRequest` in class `AbstractHttpConnection`
Throws:
  `IOException`

#### handle

    public Connection handle()
                      throws IOException

Description copied from interface: `Connection`
Handle the connection.

Specified by:
  `handle` in interface `Connection`
Specified by:
  `handle` in class `AbstractHttpConnection`
Returns:
  The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
Throws:
  `IOException` - if the handling of I/O operations fail